<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.iot.mapper.BaseBuildEngineeringMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.iot.domain.BaseBuildEngineering">
        <id column="id" property="id" />
        <result column="engineering_name" property="engineeringName" />
        <result column="engineering_address" property="engineeringAddress" />
        <result column="engineering_area" property="engineeringArea" />
        <result column="review_code" property="reviewCode" />
        <result column="project_code" property="projectCode" />
        <result column="unit_count" property="unitCount" />
        <result column="normal_usage" property="normalUsage" />
        <result column="construction_company" property="constructionCompany" />
        <result column="construction_company_person" property="constructionCompanyPerson" />
        <result column="construction_company_phone" property="constructionCompanyPhone" />
        <result column="contractor_company" property="contractorCompany" />
        <result column="contractor_company_person" property="contractorCompanyPerson" />
        <result column="contractor_company_phone" property="contractorCompanyPhone" />
        <result column="iot_company" property="iotCompany" />
        <result column="iot_company_person" property="iotCompanyPerson" />
        <result column="iot_company_phone" property="iotCompanyPhone" />
        <result column="build_id" property="buildId" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="dept_id" property="deptId" />
        <result column="tenant_id" property="tenantId" />
    </resultMap>

</mapper>
